For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETList disputes
      • GETRetrieve dispute
      • POSTAccept dispute
      • POSTChallenge dispute
      • GETList dispute evidence
      • POSTCreate dispute evidence text
      • POSTCreate dispute evidence file
      • DELDelete dispute evidence
      • GETRetrieve dispute evidence
      • Dispute
      • DisputeEvidence
      • POSTEvent: dispute.created
      • POSTEvent: dispute.status.updated
  • Customer Request API
  • Management API
LogoLogo
Network APIDisputes

Create dispute evidence text

POST
/disputes/:dispute_id/evidence-text
POST
/network/v1/disputes/:dispute_id/evidence-text
$curl -X POST https://api.cash.app/network/v1/disputes/dispute_id/evidence-text \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent" \
> -H "Content-Type: application/json" \
> -d '{
> "idempotency_key": "e345c3fb-1caa-46fd-b0d3-aa6c7b00ab19",
> "evidence": {
> "category": "GENERIC_EVIDENCE",
> "text": "evidence as text"
> }
>}'
1{
2 "evidence": {
3 "id": "EVD_dbdda8e161b7bad8519f7f73",
4 "dispute_id": "DSPT_1fbjn9dg7rmz1xeyv6gkyh8vg",
5 "category": "GENERIC_EVIDENCE",
6 "type": "FILE",
7 "created_at": "2022-01-01T12:00:00Z",
8 "file": {
9 "filename": "string",
10 "content_type": "application/pdf"
11 },
12 "text": "string",
13 "metadata": {}
14 }
15}
Creates a piece of evidence for the given dispute from a blob of plain text, which can then be submitted with the [challenge dispute](Network-API.v1.yaml/paths/~1disputes~1{dispute_id}~1challenge) endpoint. If you have more than 500 characters of text to submit as evidence, split it into multiple pieces where possible. <Note> Uploading evidence does not challenge the dispute. Make sure to call the [challenge dispute](Network-API.v1.yaml/paths/~1disputes~1{dispute_id}~1challenge) endpoint before the `response_due_at` timestamp, or else the merchant will automatically "lose" the dispute. </Note> **This endpoint is not rate limited.** Scopes: `DISPUTES_WRITE`
Was this page helpful?
Previous

Create dispute evidence file

Next
Built with

Creates a piece of evidence for the given dispute from a blob of plain text, which can then be submitted with the challenge dispute endpoint.

If you have more than 500 characters of text to submit as evidence, split it into multiple pieces where possible.

Uploading evidence does not challenge the dispute. Make sure to call the challenge dispute endpoint before the response_due_at timestamp, or else the merchant will automatically “lose” the dispute.

This endpoint is not rate limited.

Scopes: DISPUTES_WRITE

Path parameters

dispute_idstringRequired

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Request

idempotency_keystringRequired1-64 characters

A unique identifier which can be used by Cash App to de-duplicate retries of this request, making it idempotent. For more information, see Idempotency.

evidenceobjectRequired
Details about the evidence to create.

Response

Created
evidenceobject

Errors

400
Bad Request Error
404
Not Found Error